<?php

require __DIR__ . "/required.php";

switch ($VARS['action']) {
	case "getaccounts":
		$accounts = $database->select("accounts", ["uid", "username", "password", "authsecret"], ["password[!]" => null]);
		exit(json_encode($accounts));
	default:
		die("\"action invalid or not found\"");
}
